多用户商城系统_小程序商城app开发_普悦科技

webdriver和phantom爬虫

原创 2019-12-28 12:57:04

最近在python中使用webdriver报错:
Message: 'chromedriver' executable needs to be in PATH.
null
如果出现这个错误还好解决,首先去官方下载最新的chromedriver驱动。
链接如下:
https://sites.google.com/a/chromium.org/chromedriver/home

然后根据自己的chrome版本选择对应的driver引擎。需要注意的是,基本上chrome会自动更新到最新版本,所以driver如果有朝一日不更新了,就会出现无法使用的情况。
这一点和phantom一样,如今phantom只能支持很老的谷歌浏览器版本,大概是50左右。如今最新的谷歌浏览器版本已经是79了,beta版本甚至已经达到80。

上一篇:电商巨头蘑菇街发布年报

下一篇:区块链技术未来的道路该怎么走,你知道吗